読者です 読者をやめる 読者になる 読者になる

[vim][rails]Kaoriya版 gvim7.1(20071028)でrails.vimを使うと落ちる

先日Kaoriya版gvim7.1(20071028)に入れ替えたのですが、rails.vimを使いコマンドモードでタブを連打すると、強制終了で落ちてしまう現象が発生してしまいました。

:Rcontroller app《ここでTabを連打》

何回やっても発生し、別のパソコンではどうかと思い試しましたが同様で、私にとってはかなり致命的です。


発生しないパターン

  • gvim7.1(20071028)デフォルトにrails.vimをインストールのみの状態
  • 私がカスタマイズした.vimrcを読み込まない状態
  • rails.vim以外のパラメータタブ補完は発生しない
  • Kaoriya vim7.1(20070716)は発生しない
  • Kaoriya vim7.0は発生しない


ここはひとまず手持ちの20070716版を使って様子をみてみる事にします。


同様の現象がおきて困っている人とかいないのだろうか・・・
ちょっとぐぐってみよう。